Name:          super-csv
Version:       2.4.0
Release:       3%{?dist}
Summary:       A fast, programmer-friendly, free CSV library for Java
License:       ASL 2.0
URL:           http://super-csv.github.io/super-csv/index.html
Source0:       https://github.com/super-csv/super-csv/archive/v%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(ch.qos.logback:logback-classic)
BuildRequires: mvn(joda-time:joda-time)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(net.sf.dozer:dozer)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
The main motivation for Super CSV is to be the foremost,
fastest, and most programmer-friendly, free CSV package
for Java.

%package dozer
Summary:       Super CSV Dozer Extension

%description dozer
An extension for Super CSV that uses Dozer for
reading/writing between CSV and POJOs.

%package java8
Summary:       Super CSV Java 8 Extension

%description java8
An extension for Super CSV for use with Java 8.

%package joda
Summary:       Super CSV Joda-Time Extension

%description joda
An extension for Super CSV that contains cell processors for
Joda-Time classes.

%package parent
Summary:       Super CSV parent POM

%description parent
Super CSV parent project.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
# Cleanup
find -name '*.class' -print -delete
find -name '*.jar' -print -delete

# Unavailable plugins
%pom_remove_plugin -r :animal-sniffer-maven-plugin
%pom_remove_plugin -r :cobertura-maven-plugin
# Unwanted tasks
%pom_remove_plugin -r :maven-assembly-plugin
%pom_remove_plugin -r :maven-eclipse-plugin
%pom_remove_plugin -r :maven-javadoc-plugin
%pom_remove_plugin -r :maven-release-plugin
%pom_remove_plugin -r :maven-scm-publish-plugin
%pom_remove_plugin -r :maven-site-plugin
%pom_remove_plugin -r :maven-source-plugin

# Empty artifact, only for testing
%pom_disable_module %{name}-benchmark

%pom_disable_module %{name}-distribution

%build

%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}
%doc README.md
%license LICENSE.txt

%files dozer -f .mfiles-%{name}-dozer
%files java8 -f .mfiles-%{name}-java8
%files joda -f .mfiles-%{name}-joda

%files parent -f .mfiles-%{name}-parent
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Mon Feb 01 2016 gil cattaneo <puntogil@libero.it> 2.4.0-3
- disable benchmark sub module

* Sat Jan 30 2016 gil cattaneo <puntogil@libero.it> 2.4.0-2
- added LICENSE file to benchmark and parent sub-packages

* Mon Jul 20 2015 gil cattaneo <puntogil@libero.it> 2.4.0-1
- update to 2.4.0

* Mon Jul 20 2015 gil cattaneo <puntogil@libero.it> 2.3.1-1
- initial rpm
